- [HTTP request](https://docs.cloud.google.com/dataproc-metastore/docs/reference/rest/v1/projects.locations.services/queryMetadata#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/dataproc-metastore/docs/reference/rest/v1/projects.locations.services/queryMetadata#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/dataproc-metastore/docs/reference/rest/v1/projects.locations.services/queryMetadata#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/dataproc-metastore/docs/reference/rest/v1/projects.locations.services/queryMetadata#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/dataproc-metastore/docs/reference/rest/v1/projects.locations.services/queryMetadata#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/dataproc-metastore/docs/reference/rest/v1/projects.locations.services/queryMetadata#body.aspect)
- [Examples](https://docs.cloud.google.com/dataproc-metastore/docs/reference/rest/v1/projects.locations.services/queryMetadata#examples)
- [Try it!](https://docs.cloud.google.com/dataproc-metastore/docs/reference/rest/v1/projects.locations.services/queryMetadata#try-it)

Query Dataproc Metastore metadata.

### HTTP request

`POST https://metastore.googleapis.com/v1/{service}:queryMetadata`

### Path parameters

| Parameters ||
|---|---|
| `service` | `string` Required. The relative resource name of the metastore service to query metadata, in the following format: `projects/{projectId}/locations/{locationId}/services/{serviceId}`. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `service`: - `metastore.services.queryMetadata` |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "query": string } ``` |

| Fields ||
|---|---|
| `query` | `string` Required. A read-only SQL query to execute against the metadata database. The query cannot change or mutate the data. |

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/dataproc-metastore/docs/reference/rest/Shared.Types/ListOperationsResponse#Operation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).